Name:           perl-Template-Alloy
Version:        1.016
Release:        5%{?dist}
Summary:        Templating tool supporting multiple markup formats 
# see lib/Template/Alloy.pod
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Template-Alloy/
Source0:        http://www.cpan.org/authors/id/R/RH/RHANDOM/Template-Alloy-%{version}.tar.gz
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# core
BuildRequires: perl(ExtUtils::MakeMaker) 
BuildRequires: perl(Test::More) 
# cpan
BuildRequires: perl(Digest::MD5)
# test
BuildRequires: perl(Taint::Runtime)
BuildRequires: perl(Template::View)
BuildRequires: perl(Template::Stash)
BuildRequires: perl(File::Path)

%{?perl_default_filter}

%description
"An alloy is a homogeneous mixture of two or more elements"
(http://en.wikipedia.org/wiki/Alloy).

Template::Alloy represents the mixing of features and capabilities from all 
of the major mini-language based template systems (support for 
non-mini-language based systems will happen eventually).  With Template::Alloy
you can use your favorite template interface and syntax and get features from 
each of the other major template systems.  And Template::Alloy is fast - 
whether you're using mod_perl, cgi, or running from the commandline.  There
is even Template::Alloy::XS for getting a little more speed when that is 
necessary.


%prep
%setup -q -n Template-Alloy-%{version}

find . -type f -exec chmod -c -x {} +

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README samples/ t/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.016-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 21 2012 Petr Pisar <ppisar@redhat.com> - 1.016-4
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.016-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 1.016-2
- Perl mass rebuild

* Sat May 14 2011 Iain Arnell <iarnell@gmail.com> 1.016-1
- update to latest upstream version

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.013-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 22 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.013-7
- 661697 rebuild for fixing problems with vendorach/lib

* Sun Dec 12 2010 Iain Arnell <iarnell@gmail.com> 1.013-6
- use perl_default_filter
- clean up spec for modern rpmbuild

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.013-5
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.013-4
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.013-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.013-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Oct 23 2008 Chris Weyl <cweyl@alumni.drew.edu> 1.013-1
- update to 1.013

* Sat May 31 2008 Chris Weyl <cweyl@alumni.drew.edu> 1.012-1
- update to 1.012

* Wed Mar 05 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.008-2
- rebuild for new perl

* Mon Nov 05 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.008-1
- update to 1.008
- add br on perl(Digest::MD5)

* Wed Oct 24 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.007-3
- bump

* Wed Oct 24 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.007-2
- update summary tag

* Mon Oct 15 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.007-1
- update to 1.007
- update license tag: GPL -> GPL+

* Thu Aug 09 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.006-1
- Specfile autogenerated by cpanspec 1.71.
